<?php

// QuickTicket 2.1 build:20090411

session_start();
require_once('bin/qti__init.php');
if ( !$oVIP->CanAccess('MUV',4) ) HtmlPage(101);

include(Translate('qti__stat.php'));

// INITIALISE

$arrSections = GetSectionTitles($oVIP->role);

$strCSV = '';

$intYear = date('Y');
  if ( intval(date('n'))<2 ) $intYear--;
  if ( isset($_GET['year']) ) $intYear = intval($_GET['year']);
$arrYears = array($intYear-1=>$intYear-1,$intYear=>$intYear);

$s = -1; if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( $s>=0 ) { $strSection = 'section='.$s.' AND'; } else { $strSection=''; }

$tt = 'g';
if ( isset($_GET['tt']) ) $tt = strip_tags($_GET['tt']);
if ( isset($_POST['tt']) ) $tt = strip_tags($_POST['tt']);
$bt = 'm';
if ( isset($_GET['bt']) ) $bt = strip_tags($_GET['bt']);
if ( isset($_POST['bt']) ) $bt = strip_tags($_POST['bt']);
$gr = 'a';
if ( isset($_GET['gr']) ) $gr = strip_tags($_GET['gr']);
if ( isset($_POST['gr']) ) $gr = strip_tags($_POST['gr']);
$tr = 'a';
if ( isset($_GET['tr']) ) $tr = strip_tags($_GET['tr']);
if ( isset($_POST['gr']) ) $tr = strip_tags($_POST['tr']);

  // FIRST/LAST DATE

  $query = 'SELECT min(firstpostdate) as startdate, max(firstpostdate) as lastdate FROM '.TABTOPIC;
  $oDB->Query($query);
  $row = $oDB->Getrow();

  if ( empty($row['startdate']) ) $row['startdate']=strval($intYear-1).'0101';
  if ( empty($row['lastdate']) ) $row['lastdate']=strval($intYear).'1231';

  $strFirstdate = QTdatestr($row['startdate'],'$','');
  $strLastdate = QTdatestr($row['lastdate'],'$','');

  $strLastdaysago = substr($row['lastdate'],0,8);
  $strTendaysago = DateAdd($strLastdaysago,-10,'day');

$intStartyear = intval(date('Y',strtotime($row['startdate'])));
$intStartmonth = intval(date('n',strtotime($row['startdate'])));
$intEndyear = intval(date('Y'));
$intEndmonth = intval(date('n'));

$arrAllYears = array();
for ($i=$intStartyear;$i<=$intEndyear;$i++)
{
  $arrAllYears[$i]=$i;
}
$arrYears = array($intEndyear-1=>$intEndyear-1,$intEndyear=>$intEndyear);

// DETAIL STATISTICS

include('qti__stats_dt_inc.php');

// ------
// OUTPUT
// ------

$strCSV .= '"'.($intCurrentYear-1).$intCurrentYear.($s>=0 ? ' ('.$arrSections[$s].')' : '').(empty($tag) ? '' : ', '.$L['With_tag'].' '.str_replace(';',' '.$L['or'].' ',$tag)).'"<br/>';

// -----
foreach(array($intCurrentYear-1,$intCurrentYear) as $intYear) {
// -----

// Table header

$strCSV .= '"'.$intYear.'";';

switch($bt)
{
case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $strCSV .= '"Q'.$i.'";'; } break;
case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $strCSV .= '"'.$L['dateMM'][$i].'";'; } break;
case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $strCSV .= '"'.QTdatestr( DateAdd($strTendaysago,$i,'day'),'d M','' ).'";'; } break;
}
$strCSV .= '"'.($bt=='d' ? '10 '.strtolower($L['Days']) : $L['Year']).'"<br/>';

// Table body

$strCSV .= '"'.$L['New_topics'].'";';
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $strCSV .= (isset($arrN[$intYear][$intBt]) ? $arrN[$intYear][$intBt] : '0').';'; }
$strCSV .= $arrN[$intYear][$intTotBt].'<br/>';

$strCSV .= '"'.$L['Closed_topics'].'";';
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) { $strCSV .= (isset($arrC[$intYear][$intBt]) ? $arrC[$intYear][$intBt] : '0').';'; }
$strCSV .= $arrC[$intYear][$intTotBt].'<br/><br/>';

// -----
}
// -----

// Table header

$strCSV .= '"'.$L['Trends'].'";';

switch($bt)
{
case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $strCSV .= '"Q'.$i.'";'; } break;
case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $strCSV .= '"'.$L['dateMM'][$i].'";'; } break;
case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $strCSV .= '"'.QTdatestr( DateAdd($strTendaysago,$i,'day'),'d M','' ).'";'; } break;
}
$strCSV .= '"'.($bt=='d' ? '10 '.strtolower($L['Days']) : $L['Year']).'"<br/>';

// Table body

$strCSV .= $L['New_topics'].';';
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) 
{
  $i = 0;
  if ( isset($arrN[$intCurrentYear][$intBt]) && isset($arrN[$intCurrentYear-1][$intBt]) )
  {
    $i = $arrN[$intCurrentYear][$intBt]-$arrN[$intCurrentYear-1][$intBt];
    if ( $tr=='p' && $i!=0 )
    {
      if ( $arrN[$intCurrentYear-1][$intBt]==0 ) $arrN[$intCurrentYear-1][$intBt]=1;
      $i = intval(($i/$arrN[$intCurrentYear-1][$intBt])*100);
    }
  }
  $strCSV .= $i.';';
}
$i = 0;
if ( isset($arrN[$intCurrentYear][$intTotBt]) && isset($arrN[$intCurrentYear-1][$intTotBt]) )
{
  $i = $arrN[$intCurrentYear][$intTotBt]-$arrN[$intCurrentYear-1][$intTotBt];
  if ( $tr=='p' && $i!=0 )
  {
    if ( $arrN[$intCurrentYear-1][$intTotBt]==0 ) $arrN[$intCurrentYear-1][$intTotBt]=1;
    $i = intval(($i/$arrN[$intCurrentYear-1][$intTotBt])*100);
  }
}
$strCSV .= $i.'<br/>';

// Closed_topics trends

$strCSV .= $L['Closed_topics'].';';
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) 
{
  $i = 0;
  if ( isset($arrC[$intCurrentYear][$intBt]) && isset($arrC[$intCurrentYear-1][$intBt]) )
  {
    $i = $arrC[$intCurrentYear][$intBt]-$arrC[$intCurrentYear-1][$intBt];
    if ( $tr=='p' && $i!=0 )
    {
      if ( $arrC[$intCurrentYear-1][$intBt]==0 ) $arrC[$intCurrentYear-1][$intBt]=1;
      $i = intval(($i/$arrC[$intCurrentYear-1][$intBt])*100);
    }
  }
  $strCSV .= $i.';';
}
$i = 0;
if ( isset($arrC[$intCurrentYear][$intTotBt]) && isset($arrC[$intCurrentYear-1][$intTotBt]) )
{
  $i = $arrC[$intCurrentYear][$intTotBt]-$arrC[$intCurrentYear-1][$intTotBt];
  if ( $tr=='p' && $i!=0 )
  {
    if ( $arrC[$intCurrentYear-1][$intTotBt]==0 ) $arrC[$intCurrentYear-1][$intTotBt]=1;
    $i = intval(($i/$arrC[$intCurrentYear-1][$intTotBt])*100);
  }
}
$strCSV .= $i.'<br/>';

// Export

if ( !headers_sent() )
{
  $strCSV = str_replace('<br/>',"\r\n",$strCSV);
  header('Content-Type: text/csv; charset='.QTI_HTML_CHAR);
  header('Content-Disposition: attachment; filename="global_stat_'.$intYear.'.csv"');
}

echo $strCSV;

?>